{"type":"api","title":"Get console logs test results by agent and round","meta":{"id":"/apps/pubhub/media/000-v7-apis/a9d7d077fd3cd26af5968939669b4553e8957e87/beddd583-a5f3-3bb9-82a3-77fa650e7a7a","info":{"version":"7.0.107","title":"Test Results API","description":"Get test result metrics for Network and Application Synthetics tests."},"security":[{"BearerAuth":[]}],"tags":[{"name":"Network Test Results"},{"name":"Web HTTP Server Test Results"},{"name":"Web Page Load Test Results"},{"name":"Web Transactions Test Results"},{"name":"API Test Results"},{"name":"Web FTP Server Test Results"},{"name":"DNS Trace Test Results"},{"name":"DNS Server Test Results"},{"name":"DNSSEC Test Results"},{"name":"Voice SIP Server Test Results"},{"name":"Voice RTP Server Test Results"},{"name":"Network BGP Test Results"}],"externalDocs":{"description":"Find out more about Test Results","url":"https://docs.thousandeyes.com/product-documentation/getting-started/getting-started-with-cloud-and-enterprise-agent-tests#interpreting-test-results"},"openapi":"3.0.1","servers":[{"description":"ThousandEyes API production URL","url":"https://api.thousandeyes.com/v7"}],"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Bearer authentication token"}}},"spec":{"tags":["Web Transactions Test Results"],"summary":"Get console logs test results by agent and round","description":"Returns console logs for the specified test, agent, and round ID.\n","operationId":"getTestConsoleLogsAgentRoundResults","parameters":[{"name":"testId","description":"Test ID","required":true,"in":"path","schema":{"type":"string","example":"202701"},"$$ref":"#/components/parameters/TestIdPath"},{"name":"agentId","description":"Agent ID","required":true,"in":"path","schema":{"type":"string","example":"11"},"$$ref":"#/components/parameters/AgentIdPath"},{"name":"roundId","description":"Round ID","required":true,"in":"path","schema":{"type":"string","example":"1384309800"},"$$ref":"#/components/parameters/RoundIdPath"},{"name":"aid","in":"query","description":"A unique identifier associated with your account group. You can retrieve your `AccountGroupId` from the `/account-groups` endpoint. Note that you must be assigned to the target account group. Specifying this parameter without being assigned to the target account group will result in an error response.","required":false,"schema":{"type":"string","example":"1234"},"$$ref":"#/components/parameters/AccountGroupId"}],"responses":{"200":{"description":"OK","content":{"application/hal+json":{"schema":{"type":"object","readOnly":true,"properties":{"results":{"type":"array","items":{"type":"object","properties":{"date":{"type":"string","description":"Data point date UTC (ISO date-time format).","format":"date-time","example":"2022-07-17T22:00:54Z","readOnly":true},"roundId":{"type":"integer","description":"Epoch time (seconds) indicating the start time of the round","example":1384309800,"readOnly":true},"_links":{"type":"object","description":"A links object containing the ThousandEyes App link","readOnly":true,"properties":{"appLink":{"type":"object","description":"A hyperlink from the containing resource to a URI.","required":["href"],"properties":{"href":{"type":"string","description":"Its value is either a URI [RFC3986] or a URI template [RFC6570].","example":"https://api.thousandeyes.com/v7/link/to/resource/id"},"templated":{"type":"boolean","description":"Should be true when the link object's \"href\" property is a URI template."},"type":{"type":"string","description":"Used as a hint to indicate the media type expected when dereferencing the target resource."},"deprecation":{"type":"string","description":"Its presence indicates that the link is to be deprecated at a future date. Its value is a URL that should provide further information about the deprecation."},"name":{"type":"string","description":"Its value may be used as a secondary key for selecting link objects that share the same relation type."},"profile":{"type":"string","description":"A URI that hints about the profile of the target resource."},"title":{"type":"string","description":"Intended for labelling the link with a human-readable identifier"},"hreflang":{"type":"string","description":"Indicates the language of the target resource"}},"$$ref":"#/components/schemas/Link"}},"$$ref":"#/components/schemas/TestResultAppLinks","example":{"appLink":{"href":"https://app.thousandeyes.com/view/tests?__a=105&testId=195&roundId=1692916680&agentId=125"}}},"agent":{"type":"object","properties":{"agentId":{"type":"string","description":"Unique agent ID","example":"281474976710706","readOnly":true},"agentName":{"type":"string","description":"Agent name","example":"thousandeyes-stg-va-254","readOnly":true},"countryId":{"type":"string","description":"2-digit ISO country code","example":"US","readOnly":true},"location":{"type":"string","description":"Location of the agent.","example":"San Francisco Bay Area","readOnly":true}},"$$ref":"#/components/schemas/TestResultAgent"},"consoleLogs":{"type":"array","items":{"type":"object","description":"Console logs captured during script execution to help troubleshoot transaction issues.","properties":{"level":{"type":"string","description":"Severity level of the log, or UNKNOWN if the log is system-generated.","example":"INFO"},"timestamp":{"type":"integer","format":"int64","description":"Unix epoch time, in milliseconds, when the log entry was captured.","example":1715880042123},"value":{"type":"string","description":"Log message.","example":"Uncaught TypeError: Cannot read property attr of undefined"}},"$$ref":"#/components/schemas/ConsoleLogs"}}},"$$ref":"#/components/schemas/ConsoleLogsResult"}},"test":{"description":"Each test includes additional fields depending on its `type`. Refer `/tests/{type}` endpoint to know the set of fields returned by a given `type`.","additionalProperties":true,"type":"object","properties":{"interval":{"type":"integer","enum":[60,120,300,600,900,1800,3600],"description":"Interval between test runs in seconds.","default":60,"example":60,"$$ref":"#/components/schemas/TestInterval"},"alertsEnabled":{"type":"boolean","description":"Indicates if alerts are enabled.","example":true},"enabled":{"type":"boolean","description":"Test is enabled.","example":true,"default":true,"$$ref":"#/components/schemas/Enabled"},"createdBy":{"type":"string","description":"User that created the test.","example":"user@user.com","readOnly":true,"$$ref":"#/components/schemas/TestCreatedBy"},"createdDate":{"type":"string","format":"date-time","description":"UTC created date (ISO date-time format).","example":"2022-07-17T22:00:54Z","readOnly":true,"$$ref":"#/components/schemas/TestCreatedDate"},"description":{"type":"string","description":"A description of the test.","example":"ThousandEyes Test"},"liveShare":{"type":"boolean","description":"Indicates if the test is shared with the account group.","example":false,"readOnly":true},"modifiedBy":{"type":"string","description":"User that modified the test.","example":"user@user.com","readOnly":true},"modifiedDate":{"type":"string","format":"date-time","description":"UTC last modification date (ISO date-time format).","readOnly":true,"example":"2022-07-17T22:00:54Z"},"savedEvent":{"type":"boolean","description":"Indicates if the test is a saved event.\n\n**Note**: **Saved Events** are now called **Private Snapshots** in the user interface. This change does not affect API.\n","readOnly":true},"testId":{"type":"string","description":"Each test is assigned an unique ID; this is used to access test information and results from other endpoints.","readOnly":true,"example":"281474976710706"},"testName":{"type":"string","description":"The name of the test. Test name must be unique.","example":"ThousandEyes Test"},"type":{"type":"string","enum":["api","agent-to-agent","agent-to-server","bgp","http-server","page-load","web-transactions","ftp-server","dns-trace","dns-server","dnssec","sip-server","voice"],"description":"This is a read only value, as test type is implicit in the test creation url.","readOnly":true,"example":"agent-to-server","$$ref":"#/components/schemas/TestType"},"_links":{"type":"object","description":"A list of links that can be accessed to get more information","properties":{"self":{"type":"object","description":"Reference to the test.","required":["href"],"properties":{"href":{"type":"string","description":"Its value is either a URI [RFC3986] or a URI template [RFC6570].","example":"https://api.thousandeyes.com/v7/link/to/resource/id"},"templated":{"type":"boolean","description":"Should be true when the link object's \"href\" property is a URI template."},"type":{"type":"string","description":"Used as a hint to indicate the media type expected when dereferencing the target resource."},"deprecation":{"type":"string","description":"Its presence indicates that the link is to be deprecated at a future date. Its value is a URL that should provide further information about the deprecation."},"name":{"type":"string","description":"Its value may be used as a secondary key for selecting link objects that share the same relation type."},"profile":{"type":"string","description":"A URI that hints about the profile of the target resource."},"title":{"type":"string","description":"Intended for labelling the link with a human-readable identifier"},"hreflang":{"type":"string","description":"Indicates the language of the target resource"}},"$$ref":"#/components/schemas/TestSelfLink","example":{"href":"https://api.thousandeyes.com/v7/tests/{type}/281474976710706"}},"testResults":{"type":"array","description":"Reference to the test results.","items":{"type":"object","description":"A hyperlink from the containing resource to a URI.","required":["href"],"properties":{"href":{"type":"string","description":"Its value is either a URI [RFC3986] or a URI template [RFC6570].","example":"https://api.thousandeyes.com/v7/link/to/resource/id"},"templated":{"type":"boolean","description":"Should be true when the link object's \"href\" property is a URI template."},"type":{"type":"string","description":"Used as a hint to indicate the media type expected when dereferencing the target resource."},"deprecation":{"type":"string","description":"Its presence indicates that the link is to be deprecated at a future date. Its value is a URL that should provide further information about the deprecation."},"name":{"type":"string","description":"Its value may be used as a secondary key for selecting link objects that share the same relation type."},"profile":{"type":"string","description":"A URI that hints about the profile of the target resource."},"title":{"type":"string","description":"Intended for labelling the link with a human-readable identifier"},"hreflang":{"type":"string","description":"Indicates the language of the target resource"}},"$$ref":"#/components/schemas/Link"},"example":[{"href":"https://api.thousandeyes.com/v7/test-results/281474976710706/network"},{"href":"https://api.thousandeyes.com/v7/test-results/281474976710706/path-vis"}],"$$ref":"#/components/schemas/TestResults"}},"readOnly":true,"$$ref":"#/components/schemas/TestLinks"}},"$$ref":"#/components/schemas/SimpleTest"},"_links":{"type":"object","description":"A links object containing pagination related link(s).","properties":{"previous":{"type":"object","description":"A hyperlink from the containing resource to a URI.","required":["href"],"properties":{"href":{"type":"string","description":"Its value is either a URI [RFC3986] or a URI template [RFC6570].","example":"https://api.thousandeyes.com/v7/link/to/resource/id"},"templated":{"type":"boolean","description":"Should be true when the link object's \"href\" property is a URI template."},"type":{"type":"string","description":"Used as a hint to indicate the media type expected when dereferencing the target resource."},"deprecation":{"type":"string","description":"Its presence indicates that the link is to be deprecated at a future date. Its value is a URL that should provide further information about the deprecation."},"name":{"type":"string","description":"Its value may be used as a secondary key for selecting link objects that share the same relation type."},"profile":{"type":"string","description":"A URI that hints about the profile of the target resource."},"title":{"type":"string","description":"Intended for labelling the link with a human-readable identifier"},"hreflang":{"type":"string","description":"Indicates the language of the target resource"}},"$$ref":"#/components/schemas/Link"},"next":{"type":"object","description":"A hyperlink from the containing resource to a URI.","required":["href"],"properties":{"href":{"type":"string","description":"Its value is either a URI [RFC3986] or a URI template [RFC6570].","example":"https://api.thousandeyes.com/v7/link/to/resource/id"},"templated":{"type":"boolean","description":"Should be true when the link object's \"href\" property is a URI template."},"type":{"type":"string","description":"Used as a hint to indicate the media type expected when dereferencing the target resource."},"deprecation":{"type":"string","description":"Its presence indicates that the link is to be deprecated at a future date. Its value is a URL that should provide further information about the deprecation."},"name":{"type":"string","description":"Its value may be used as a secondary key for selecting link objects that share the same relation type."},"profile":{"type":"string","description":"A URI that hints about the profile of the target resource."},"title":{"type":"string","description":"Intended for labelling the link with a human-readable identifier"},"hreflang":{"type":"string","description":"Indicates the language of the target resource"}},"$$ref":"#/components/schemas/Link"},"self":{"type":"object","description":"A hyperlink from the containing resource to a URI.","required":["href"],"properties":{"href":{"type":"string","description":"Its value is either a URI [RFC3986] or a URI template [RFC6570].","example":"https://api.thousandeyes.com/v7/link/to/resource/id"},"templated":{"type":"boolean","description":"Should be true when the link object's \"href\" property is a URI template."},"type":{"type":"string","description":"Used as a hint to indicate the media type expected when dereferencing the target resource."},"deprecation":{"type":"string","description":"Its presence indicates that the link is to be deprecated at a future date. Its value is a URL that should provide further information about the deprecation."},"name":{"type":"string","description":"Its value may be used as a secondary key for selecting link objects that share the same relation type."},"profile":{"type":"string","description":"A URI that hints about the profile of the target resource."},"title":{"type":"string","description":"Intended for labelling the link with a human-readable identifier"},"hreflang":{"type":"string","description":"Indicates the language of the target resource"}},"$$ref":"#/components/schemas/Link"}},"$$ref":"#/components/schemas/PaginationLinks"}},"$$ref":"#/components/schemas/ConsoleLogsTestResults"}}}},"400":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."},"errors":{"nullable":true,"type":"array","description":"(Optional) When multiple errors occur, the details for each error are listed.","items":{"type":"object","properties":{"code":{"type":"string","description":"(Optional) A unique error type/code that can be referenced in the documentation for further details."},"field":{"type":"string","description":"Identifies the field that triggered this particular error."},"message":{"type":"string","description":"A short, human-readable summary of the error."}},"$$ref":"#/components/schemas/ValidationErrorItem"}}},"$$ref":"#/components/schemas/ValidationError"},"example":{"type":"about:blank","title":"Request validation failed. There are invalid or missing fields","status":400,"detail":"Your request object contains invalid fields.","instance":"/v7","errors":[{"code":"AM-5432","field":"firstName","message":"firstName cannot have fancy characters"},{"code":"DASH-5622","field":"password","message":"Password cannot be blank"}]}}},"$$ref":"#/components/responses/400"},"401":{"description":"Unauthorized","content":{"application/problem+json":{"schema":{"type":"object","properties":{"error":{"type":"string","example":"invalid_token"},"error_description":{"type":"string","example":"Invalid access token"}},"$$ref":"#/components/schemas/UnauthorizedError"}}},"$$ref":"#/components/responses/401"},"403":{"description":"Insufficient permissions to query endpoint","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"}}},"$$ref":"#/components/responses/403"},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"},"example":{"type":"about:blank","title":"URI Resource Not Found","status":404,"detail":"Details explaining if the 404 error is related to an invalid URI or a wrong ID","instance":"/v7"}}},"$$ref":"#/components/responses/404"},"429":{"description":"Exhausted rate limit for the organization","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"}}},"$$ref":"#/components/responses/429"},"500":{"description":"Internal server error","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"},"example":{"type":"about:blank","title":"Internal server error","status":500,"detail":"Optional detail about the internal error message.","instance":"/v7"}}},"$$ref":"#/components/responses/500"},"502":{"description":"Bad Gateway","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"}}},"$$ref":"#/components/responses/502"},"default":{"description":"An error occurred","$$ref":"#/components/responses/GeneralError"}},"__originalOperationId":"getTestConsoleLogsAgentRoundResults","security":[{"BearerAuth":[]}],"method":"get","path":"/test-results/{testId}/web-transactions/agent/{agentId}/round/{roundId}/console-logs"}}